# $Revision: 1.16 $, $Date: 2008/07/27 22:41:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Bulkmail
Summary:	Mail::Bulkmail - platform independent mailing list module
Summary(pl.UTF-8):	Mail::Bulkmail - niezależny od platformy moduł do list mailowych
Name:		perl-Mail-Bulkmail
Version:	3.12
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8c1275e9655bbe2ba177f9b33e2b694e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail::Bulkmail gives a fairly complete set of tools for managing
mass-mailing lists. I initially wrote it because the tools I was using
at the time were just too damn slow for mailing out to thousands of
recipients. I keep working on it because it's reasonably popular and I
enjoy it.

In a nutshell, it allows you to rapidly transmit a message to a mailing
list by zipping out the information to them via an SMTP relay (your own,
of course). Subclasses provide the ability to use mail merges, dynamic
messages, and anything else you can think of.

%description -l pl.UTF-8
Mail::Bulkmail dostarcza w miarę kompletny zestaw narzędzi do
zarządzania listami wysyłki masowej. Zostały początkowo napisane
ponieważ narzędzia używane przez autora były zbyt wolne przy
rozsyłaniu do tysięcy adresatów. Pracuje nad tym modułem nadal,
ponieważ stał się dosyć popularny.

W skrócie ten pakiet pozwala szybko wysłać wiadomość na listę
wysyłkową poprzez wysłanie informacji do adresatów poprzez przekaźnik
SMTP (oczywiście własny). Podklasy pozwalają na używanie listów
łączonych, wiadomości dynamicznych i innych rzeczy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes *.txt sample.*
%{perl_vendorlib}/Mail/Bulkmail.pm
%dir %{perl_vendorlib}/Mail/Bulkmail
%{perl_vendorlib}/Mail/Bulkmail/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-Bulkmail.spec,v $
Revision 1.16  2008/07/27 22:41:36  arekm
- release 3

Revision 1.15  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.13  2006/01/09 18:06:49  qboosh
- pl desc

Revision 1.12  2006/01/09 18:01:30  qboosh
- unified (grepable files)

Revision 1.11  2004/11/03 22:30:32  paladine
- formatting

Revision 1.10  2004/06/05 20:10:22  radek
- release 2: informative summary/description

Revision 1.9  2004/05/06 18:43:14  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.7  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.6  2004/04/20 23:59:33  ankry
- ported to new bconds

Revision 1.5  2004/01/24 23:14:45  arekm
- autoupdated to 3.12

Revision 1.4  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/13 22:09:48  qboosh
- should be ready for perl 5.8

Revision 1.1  2003/04/13 01:17:59  blues
- initial release
